package intrinsic.mx.core;

public interface IDeferredInstantiationUIComponent extends intrinsic.flash.display.IBitmapDrawable, intrinsic.mx.core.IUIComponent, intrinsic.mx.core.IFlexDisplayObject, intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
//	public String id;
//	public boolean cacheHeuristic;
//	public String cachePolicy;
//	public intrinsic.mx.core.UIComponentDescriptor descriptor;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void executeBindings();
public void executeBindings(boolean arg0);
public void deleteReferenceOnParentDocument(intrinsic.mx.core.IFlexDisplayObject arg0);
public void createReferenceOnParentDocument(intrinsic.mx.core.IFlexDisplayObject arg0);
public void registerEffects(intrinsic.Array arg0);

}
